Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.metadata
Class PortletApplication10MetaData

    java.lang.Object
      org.jboss.portal.portlet.impl.metadata.PortletApplication10MetaData

Direct Known Subclasses:
  AnnotationPortletApplication10MetaData, PortletApplication20MetaData

    public class PortletApplication10MetaData

extends java.lang.Object

Version:
  $Revision$
Author:
  Emanuel Muckenhuber

Constructor Summary
`PortletApplication10MetaData()`

Method Summary
`void` | `addCustomPortletMode(CustomPortletModeMetaData portletMode)`
`void` | `addCustomWindowState(CustomWindowStateMetaData windowState)`
`void` | `addPortlet(PortletMetaData portlet)`
`void` | `addSecurityConstraint(SecurityConstraintMetaData securityConstraint)`
`void` | `addUserAttribute(UserAttributeMetaData userAttribute)`
`java.util.Map<java.lang.String,CustomPortletModeMetaData>` | `getCustomPortletModes()`
`java.util.Map<java.lang.String,CustomWindowStateMetaData>` | `getCustomWindowStates()`
`java.lang.String` | `getId()`
`PortletMetaData` | `getPortlet(java.lang.String portletName)`
`java.util.Collection<PortletMetaData>` | `getPortletCollection()`
`java.util.Map<java.lang.String,PortletMetaData>` | `getPortlets()`
`java.util.List<SecurityConstraintMetaData>` | `getSecurityConstraints()`
`java.util.Map<java.lang.String,UserAttributeMetaData>` | `getUserAttributes()`
`java.lang.String` | `getVersion()`
`void` | `setCustomPortletModes(java.util.Map<java.lang.String,CustomPortletModeMetaData> customPortletMode)`
`void` | `setCustomWindowStates(java.util.Map<java.lang.String,CustomWindowStateMetaData> customWindowState)`
`void` | `setId(java.lang.String id)`
`void` | `setPortlets(java.util.Map<java.lang.String,PortletMetaData> portlets)`
`void` | `setSecurityConstraints(java.util.List<SecurityConstraintMetaData> securityConstraints)`
`void` | `setUserAttributes(java.util.Map<java.lang.String,UserAttributeMetaData> userAttributes)`
`void` | `setVersion(java.lang.String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletApplication10MetaData

    public PortletApplication10MetaData()

Method Detail

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getVersion

    public java.lang.String getVersion()

### setVersion

    public void setVersion(java.lang.String version)

### getPortlets

    public java.util.Map<java.lang.String,PortletMetaData> getPortlets()

### setPortlets

    public void setPortlets(java.util.Map<java.lang.String,PortletMetaData> portlets)

### getPortletCollection

    public java.util.Collection<PortletMetaData> getPortletCollection()

### getPortlet

    public PortletMetaData getPortlet(java.lang.String portletName)

### addPortlet

    public void addPortlet(PortletMetaData portlet)

### getUserAttributes

    public java.util.Map<java.lang.String,UserAttributeMetaData> getUserAttributes()

### setUserAttributes

    public void setUserAttributes(java.util.Map<java.lang.String,UserAttributeMetaData> userAttributes)

### addUserAttribute

    public void addUserAttribute(UserAttributeMetaData userAttribute)

### getCustomPortletModes

    public java.util.Map<java.lang.String,CustomPortletModeMetaData> getCustomPortletModes()

### setCustomPortletModes

    public void setCustomPortletModes(java.util.Map<java.lang.String,CustomPortletModeMetaData> customPortletMode)

### addCustomPortletMode

    public void addCustomPortletMode(CustomPortletModeMetaData portletMode)

### getCustomWindowStates

    public java.util.Map<java.lang.String,CustomWindowStateMetaData> getCustomWindowStates()

### setCustomWindowStates

    public void setCustomWindowStates(java.util.Map<java.lang.String,CustomWindowStateMetaData> customWindowState)

### addCustomWindowState

    public void addCustomWindowState(CustomWindowStateMetaData windowState)

### getSecurityConstraints

    public java.util.List<SecurityConstraintMetaData> getSecurityConstraints()

### setSecurityConstraints

    public void setSecurityConstraints(java.util.List<SecurityConstraintMetaData> securityConstraints)

### addSecurityConstraint

    public void addSecurityConstraint(SecurityConstraintMetaData securityConstraint)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.